//
//  ContentView.swift
//  macamera
//
//  Created by Maxime on 06/05/2025.
//

import SwiftUI

struct ContentView: View {
    
    @State private var capturedImage: UIImage?
    
    var body: some View {
        ZStack {
            if capturedImage == nil {
                CustomCameraView(capturedImage: $capturedImage)
            } else {
                PhotoPreviewView(capturedImage: $capturedImage)
            }
        }
        .frame(maxWidth: .infinity, maxHeight: .infinity)
        .ignoresSafeArea(edges: [.top, .bottom])
    }
}

#Preview {
    ContentView()
}
