//
//  CustomCameraView.swift
//  macamera
//
//  Created by Maxime on 06/05/2025.
//

import SwiftUI

struct CustomCameraView: View {
    
    let cameraService = CameraService()
    @Binding var capturedImage: UIImage?
    
    var body: some View {
        ZStack {
            CameraView(cameraService: cameraService, didFinishProcessingPhoto: { result in
                switch result {
                case .success(let photo):
                    if let data = photo.fileDataRepresentation() {
                        capturedImage = UIImage(data: data)
                    } else {
                        print("Error: no image data found.")
                    }
                case .failure(let error):
                    print(error.localizedDescription)
                }
            })
            
            VStack {
                Spacer()
                
                Button(action: {
                    cameraService.capturePhoto()
                }, label: {
                    Image(systemName: "circle")
                        .font(.system(size: 80))
                        .foregroundStyle(.white)
                })
                .padding(.bottom, 42)
            }
        }
    }
}
