//
//  PhotoPreviewView.swift
//  macamera
//
//  Created by Maxime on 06/05/2025.
//

import SwiftUI

struct PhotoPreviewView: View {
    
    @Binding var capturedImage: UIImage?
    
    var body: some View {
        if let capturedImage = capturedImage {
            ZStack(alignment: .topLeading) {
                Image(uiImage: capturedImage)
                    .resizable()
                    .scaledToFill()
                
                Button(action: {
                    self.capturedImage = nil
                }, label: {
                    Image(systemName: "xmark.circle.fill")
                        .font(.system(size: 42))
                        .foregroundStyle(.white)
                })
                .padding(.leading, 42)
                .padding(.top, 62)
            }
        }
    }
}
